OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKIGES
IGESDraw

# IGESDraw_ViewsVisible Class Reference

Defines IGESViewsVisible, Type <402>, Form <3>
in package IGESDraw
.

`#include <IGESDraw_ViewsVisible.hxx>`

Inheritance diagram for IGESDraw_ViewsVisible:

[legend]

## Public Member Functions
Standard_EXPORT | IGESDraw_ViewsVisible ()
Standard_EXPORT void | Init (const Handle(IGESDraw_HArray1OfViewKindEntity)&allViewEntities, const Handle(IGESData_HArray1OfIGESEntity)&allDisplayEntity)
| This method is used to set the fields of the class ViewsVisible - allViewEntities : All View kind entities - allDisplayEntity : All entities whose display is specified .
Standard_EXPORT void | InitImplied (const Handle(IGESData_HArray1OfIGESEntity)&allDisplayEntity)
| Changes only the list of Displayed Entities (Null allowed) .
Standard_EXPORT Standard_Boolean | IsSingle () const
| Returns False (for a complex view) .
Standard_EXPORT Standard_Integer | NbViews () const
| returns the Number of views visible
Standard_EXPORT Standard_Integer | NbDisplayedEntities () const
| returns the number of entities displayed in the Views or zero if no Entities specified in these Views
Standard_EXPORT Handle_IGESData_ViewKindEntity | ViewItem (const Standard_Integer Index) const
| returns the Index'th ViewKindEntity Entity raises exception if Index <= 0 or Index > NbViewsVisible()
Standard_EXPORT Handle_IGESData_IGESEntity | DisplayedEntity (const Standard_Integer Index) const
| returns the Index'th entity whose display is being specified by this associativity instance raises exception if Index <= 0 or Index > NbEntityDisplayed()
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Private Attributes
Handle_IGESDraw_HArray1OfViewKindEntity | theViewEntities
Handle_IGESData_HArray1OfIGESEntity | theDisplayEntity

## Constructor & Destructor Documentation

Standard_EXPORT IGESDraw_ViewsVisible::IGESDraw_ViewsVisible | ( |  | ) |

## Member Function Documentation

Standard_EXPORT Handle_IGESData_IGESEntity IGESDraw_ViewsVisible::DisplayedEntity | ( | const Standard_Integer | Index | ) | const

Standard_EXPORT const IGESDraw_ViewsVisible::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from IGESData_ViewKindEntity.

Standard_EXPORT void IGESDraw_ViewsVisible::Init | ( | const Handle(IGESDraw_HArray1OfViewKindEntity)& | allViewEntities,
|  | const Handle(IGESData_HArray1OfIGESEntity)& | allDisplayEntity
| ) |

Standard_EXPORT void IGESDraw_ViewsVisible::InitImplied | ( | const Handle(IGESData_HArray1OfIGESEntity)& | allDisplayEntity | ) |

Standard_EXPORT Standard_Boolean IGESDraw_ViewsVisible::IsSingle | ( |  | ) | const`[virtual]`

| Implements IGESData_ViewKindEntity.

Standard_EXPORT Standard_Integer IGESDraw_ViewsVisible::NbDisplayedEntities | ( |  | ) | const

Standard_EXPORT Standard_Integer IGESDraw_ViewsVisible::NbViews | ( |  | ) | const`[virtual]`

| Implements IGESData_ViewKindEntity.

Standard_EXPORT Handle_IGESData_ViewKindEntity IGESDraw_ViewsVisible::ViewItem | ( | const Standard_Integer | Index | ) | const`[virtual]`

| Implements IGESData_ViewKindEntity.

## Field Documentation

Handle_IGESData_HArray1OfIGESEntity IGESDraw_ViewsVisible::theDisplayEntity`[private]`

Handle_IGESDraw_HArray1OfViewKindEntity IGESDraw_ViewsVisible::theViewEntities`[private]`

The documentation for this class was generated from the following file:

- IGESDraw_ViewsVisible.hxx